Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 75956 - No "bind to MAC address" in neat for wireless, wrong HWADDR binding
Summary: No "bind to MAC address" in neat for wireless, wrong HWADDR binding
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 75958 81720
TreeView+ depends on / blocked
 
Reported: 2002-10-15 08:41 UTC by diego.santacruz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-10 12:11:20 UTC


Attachments (Terms of Use)

Description diego.santacruz 2002-10-15 08:41:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
There is no "bind to MAC address" field in neat for wireless devices (in the
hardware tab), like there is one for Ethernet devices. However, neat
automatically binds it to the MAC address of whatever device is present without
telling the user, which can be wrong in the case of pluggable PCMCIA cards.

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.20-1

How reproducible:
Always

Steps to Reproduce:
1. Insert a PCMCIA ethernet card
2. Start up neat
3. Configure a wireless device as eth0 (nicknamed wireless) in a new profile
	

Actual Results:  In the file /etc/sysconfig/networking/devices/ifcfg-wireless
HWADDR is set to the MAC address of the ethernet card (not the wireless card,
which is not currently inserted).

Expected Results:  neat should not automatically bind to the MAC address of the
present card without telling the user. A "bind to MAC address" field just like
the one for Ethernet cards should be presentr for wireless cards too. This would
let the user specify if the device should be bound to a particular HWADDR and
probe for it.

Additional info:

Comment 1 Harald Hoyer 2003-02-04 16:55:23 UTC
fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.